summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Daniel de Kok <danieldk@pobox.com>2010-05-11 20:02:07 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:07 +0200
commit0b8cef7f93558e77d9474e7b79635be1a9e24cec (patch)
treedc6a287c4ff060b12c7251698a70828ccd856ec5 /system
parentaa92a90fdf12638da621726319d09268fca79d99 (diff)
downloadslackbuilds-0b8cef7f93558e77d9474e7b79635be1a9e24cec.tar.gz
slackbuilds-0b8cef7f93558e77d9474e7b79635be1a9e24cec.tar.xz
system/rsbac-admin: Added to 12.0 repository
Diffstat (limited to 'system')
-rw-r--r--system/rsbac-admin/README4
-rw-r--r--system/rsbac-admin/rsbac-admin.SlackBuild68
-rw-r--r--system/rsbac-admin/rsbac-admin.info8
-rw-r--r--system/rsbac-admin/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/system/rsbac-admin/README b/system/rsbac-admin/README
new file mode 100644
index 0000000000..882c3ff77a
--- /dev/null
+++ b/system/rsbac-admin/README
@@ -0,0 +1,4 @@
+RSBAC is a kernel-based access control framework, that can be used
+to implement almost any access control model. It also includes some
+security moduls, like ACL, MAC, and RC. This package contains
+administration tools for RSBAC.
diff --git a/system/rsbac-admin/rsbac-admin.SlackBuild b/system/rsbac-admin/rsbac-admin.SlackBuild
new file mode 100644
index 0000000000..31aeb67376
--- /dev/null
+++ b/system/rsbac-admin/rsbac-admin.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for rsbac-admin
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=rsbac-admin
+VERSION=1.3.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# rsbac-admin has sensible CFLAGS, according the documentation a CFLAGs
+# parameter can be added to make. Unfortunately, this clears other
+# important flags. We could patch a bunch of Makefiles to correctly accept
+# CFLAGs, but the gain of "-mtune=i686" is doubtful for these tools,
+# so modifying the vanilla sources is not really worth it IMO.
+make PREFIX=/usr LIBDIR=/lib DIR_MAN=/usr/man/man1 libs tools
+make PREFIX=/usr LIBDIR=/lib DESTDIR=$PKG DIR_MAN=/usr/man/man1 \
+ DIR_DOC=/usr/doc/$PRGNAM-$VERSION libs-install \
+ tools-install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rsbac-admin/rsbac-admin.info b/system/rsbac-admin/rsbac-admin.info
new file mode 100644
index 0000000000..146b3ad58c
--- /dev/null
+++ b/system/rsbac-admin/rsbac-admin.info
@@ -0,0 +1,8 @@
+PRGNAM="rsbac-admin"
+VERSION="1.3.5"
+HOMEPAGE="http://www.rsbac.org/"
+DOWNLOAD="http://www.rsbac.org/dl.php?file=code/1.3.5/rsbac-admin-1.3.5.tar.bz2"
+MD5SUM="5bd46bcd85c7b10c3830b4120d330266"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="rworkman"
diff --git a/system/rsbac-admin/slack-desc b/system/rsbac-admin/slack-desc
new file mode 100644
index 0000000000..ad4911e452
--- /dev/null
+++ b/system/rsbac-admin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+rsbac-admin: rsbac-admin (RSBAC administration tools)
+rsbac-admin:
+rsbac-admin: RSBAC is a kernel-based access control framework, that can be
+rsbac-admin: used to implement almost any access control model. It also
+rsbac-admin: includes some security moduls, like ACL, MAC, and RC.
+rsbac-admin: This package contains administration tools for RSBAC.
+rsbac-admin:
+rsbac-admin: The RSBAC website can be found at:
+rsbac-admin: http://www.rsbac.org/
+rsbac-admin:
+rsbac-admin: